/*
  C source for GNU CHESS

// Fixed for learning chess game using Windows 95 and higher by Tomas Peceny, April 2002.

  Revision: 1990-09-30
  Modified by Daryl Baker for use in MS WINDOWS environment
  Based on ideas and code segments from "programming windows" C. Petzold

  This file is part of CHESS.

  CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY.  No author or distributor accepts responsibility to anyone for
  the consequences of using it or for whether it serves any particular
  purpose or works at all, unless he says so in writing.  Refer to the CHESS
  General Public License for full details.

  Everyone is granted permission to copy, modify and redistribute CHESS, but
  only under the conditions described in the CHESS General Public License.
  A copy of this license is supposed to have been given to you along with
  CHESS so you can know your rights and responsibilities.  It should be in a
  file named COPYING.  Among other things, the copyright notice and this
  notice must be preserved on all copies.
*/

#include <windows.h>
#include <string.h>
#include <TCHAR.H >
#include "saveopen.h"

#define IDD_TP_TITLE                    18

TCHAR BookTitleVen[100];//
TCHAR AdresaMinula[MAX_PATH];// at first "..\\partie\\"; to be overwritten, always ends with '\'
TCHAR Titul[30+MAX_PATH];//  "Chess  " + the name of the file 

BOOL CALLBACK FileSaveDlgProc (HWND hDlg, UINT iMessage, WPARAM wParam, LPARAM lParam)// BOOL FAR PASCAL
{  switch ( iMessage ){
      case WM_INITDIALOG:
         return TRUE;

      case WM_COMMAND:
         switch (wParam) {
            case IDOK:
               GetDlgItemText (hDlg, IDD_TP_TITLE, BookTitleVen, 99);// if it does not exist, it should only return zero
               EndDialog (hDlg, TRUE);
               break;
            
            case IDCANCEL:
               EndDialog (hDlg, FALSE);
               break;

            default:
               return FALSE;
      }

      default:
         return FALSE;
   }

   return TRUE;
}
